### Method

# Ide Task return_pointer

#### Declaration

    void
    ide_task_return_pointer (
      IdeTask* self,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description

Returns a new raw pointer.

Note that pointers cannot be chained to other tasks, so you may not use `ide_task_chain()` in conjunction with a task returning a pointer using ide_task_return_pointer().

If you need task chaining with pointers, see `ide_task_return_boxed()` or ide_task_return_object().

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`data` | `gpointer`
| The data to return.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| An optional `GDestroyNotify` to cleanup data if no handler propagates the result.